from abc import ABC, abstractmethod


class DtoABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def from_dict(self, values: dict): pass

    @abstractmethod
    def to_dict(self) -> dict: pass
